-- CK_ODS_CKODSREGIST CK_ODS_理赔业务数据
insert into CK_ODS.CK_ODS_KAFKA.CKODSREGIST -- topic CKODSREGIST
select
    s1.actualData.prplccheck.checkDate                                  as checkDate            -- 勘察日期
    ,s1.actualData.prplcregist[1].prpllinker.linkerPhoneNo              as linkerPhoneNo        -- 联系人手机
    ,s1.actualData.damageStartDate                                      as damageStartDate      -- 出险时间
    ,s1.actualData.prplclaim[1].claimDate                               as claimDate            -- 立案日期
    ,s1.actualData.prplclaim[1].sumclaim                                as sumclaim             -- 估损金额
    ,s1.actualData.prplccompensate[1].compensateVericDate               as compensateVericDate  -- 核赔日期
    ,s1.actualData.prplendcase[1].closeCaseDate                         as closeCaseDate        -- 结案时间
    ,s1.actualData.prplccompensate[1].sumThisPaid                       as sumThisPaid          -- 总赔付金额
    ,s1.actualData.prplccompensate[1].sumDutyPaid                       as sumDutyPaid          -- 直接理赔费用总金额原币金额
    ,s1.actualData.prplcrecase[1].recaseDate                            as recaseDate           -- 案件重开时间
    ,s1.actualData.prplcertify.completeDate                             as completeDate         -- 资料接收齐全时间
    ,s1.actualData.prplcarlossdetail[1].indemnityDutyRate               as indemnityDutyRate    -- 车赔付比例
    ,s1.actualData.prplproplossdetail[1].prplproploss.paidRate          as paidRate             -- 财赔付比例
    ,s1.actualData.prplpersondetail[1].prplperson.originPaidRate        as originPaidRate       -- 人赔付比例
    ,s1.actualData.prplpersondetail[1].PrpLHospital.crippleDegreeOne    as crippleDegreeOne     -- 伤残等级、伤残代码
    ,s1.actualData.damageName                                           as damageName           -- 出险原因名称
    ,s1.actualData.prplaccident.damageTypeCode                          as damageTypeCode       -- 事故分类代码
    ,s1.actualData.prplaccident.damageTypeName                          as damageTypeName       -- 事故分类名称
    ,s1.actualData.prplaccident.accidentDealType                        as accidentDealType     -- 处理方式代码
    ,s1.actualData.prplaccident.accidentDealTypeName                    as accidentDealTypeName -- 处理方式名称
    ,s1.actualData.prplcarlossdetail[1].prplrepairfactory[1].repairFactoryName              as repairFactoryName    -- 修理厂名称
    ,s1.actualData.damageCode                                                               as damageCode           -- 出险原因码值
    ,s1.actualData.prplcarlossdetail[1].prplcarcertain.injurySiteCode                       as injurySiteCode       -- 受伤部位
    ,s1.actualData.prplpersondetail[1].PrpLHospital.crippleDegreeOne                        as crippleDegreeOneCode -- 伤残程度代码
    ,s1.actualData.prplpersondetail[1].PrpLHospital.crippleDegreeOneName                    as crippleDegreeOneName -- 伤残程度名称
    ,s1.actualData.prplpersondetail[1].PrpLHospital.treatedType                             as treatedType          -- 伤亡人员医疗类型
    ,s1.actualData.prplpersondetail[1].PrpLHospital.hospitalName                            as hospitalName         -- 医疗机构名称
    ,s1.actualData.prplpersondetail[1].prplsdisabilityassess.nonlocalIdentFlag           as nonlocalIdentFlag    -- 异地鉴定标志
    ,s1.actualData.prplflag.subCertiType                                                    as subCertiType         -- 责任认定书类型代码
    ,s1.actualData.prplflag.subCertiTypeName                                                as subCertiTypeName     -- 责任认定书类型名称
    ,s1.actualData.prplcarlossdetail[1].verifyLoss                                          as verifyLossCar        -- 车核定损失金额
    ,s1.actualData.prplproplossdetail[1].verifyLoss                                         as verifyLossWealth     -- 财核定损失金额
    ,s1.actualData.prplpersondetail[1].verifyLoss                                           as verifyLossPeople     -- 人核定损失金额
    ,s1.actualData.prplcreplevy[1].prplreplevyclaim.prplreplevyobject[1].subjectTypeCode as subjectTypeCode  -- 被追偿方类型
    ,s1.actualData.prplcreplevy[1].prplreplevyclaim.prplreplevyobject[1].subjectTypeName as subjectTypeName  -- 被追偿方名称

    ,DATE_FORMAT(LOCALTIMESTAMP,'yyyy-MM-dd HH:mm:ss')      as log_time  -- 加工平台处理数据时间

from ODS.ODS_KAFKA.REGIST s1
where substring(s1.actualData.accidentNo,3,2) = '05'
;
