-- REGIST 车险报案

业务对象命名：
REGIST
REGIST_ACTUALDATA
REGIST_ACTUALDATA_PRPLCREGIST
REGIST_ACTUALDATA_PRPLCREGIST_PRPLREPORTER
REGIST_ACTUALDATA_PRPLCREGIST_PRPLLINKER
REGIST_ACTUALDATA_PRPLPOLICY
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL_PRPLCAR
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL_PRPLREPAIRFACTORY
REGIST_ACTUALDATA_PRPLCARLOSSDETAIL_PRPLCARCERTAIN
REGIST_ACTUALDATA_PRPLCDAMAGE
REGIST_ACTUALDATA_PRPLCDAMAGE_PRPLDAMAGEADDRESS
REGIST_ACTUALDATA_PRPLCCHECK
REGIST_ACTUALDATA_PRPLCLAIM
REGIST_ACTUALDATA_PRPLCCOMPENSATE
REGIST_ACTUALDATA_PRPLENDCASE
REGIST_ACTUALDATA_PRPLCRECASE
REGIST_ACTUALDATA_PRPLCERTIFY
REGIST_ACTUALDATA_PRPLACCIDENT
REGIST_ACTUALDATA_PRPLFLAG
REGIST_ACTUALDATA_PRPLPROPLOSSDETAIL
REGIST_ACTUALDATA_PRPLPROPLOSSDETAIL_PRPLPROPLOSS
REGIST_ACTUALDATA_PRPLPERSONDETAIL
REGIST_ACTUALDATA_PRPLPERSONDETAIL_PRPLPERSON
REGIST_ACTUALDATA_PRPLPERSONDETAIL_PRPLHOSPITAL
REGIST_ACTUALDATA_PRPLPERSONDETAIL_PRPLSDISABILITYASSESS
REGIST_ACTUALDATA_PRPLCREPLEVY
REGIST_ACTUALDATA_PRPLCREPLEVY_PRPLREPLEVYCLAIM
REGIST_ACTUALDATA_PRPLCREPLEVY_PRPLREPLEVYCLAIM_PRPLREPLEVYOBJECT


{
    actualData row(
        accidentNo          String , -- 事故号
        damageStartDate     String , -- 出险时间 无需转码 2021-06-27 19:25:00
        reportDate          String , -- 报案时间 无需转码 2021-06-27 19:37:18
        damageAddress       String , -- 出险地点
        prplcregist array<row(
            policyNo        String , -- 保单号
            registNo        String , -- 报案号
            deptCode        String , -- 理赔机构代码
            deptName        String , -- 理赔机构名称
            prplreporter row(
                reporterName            String , -- 报案人名称
                reporterMobileNo        String   -- 报案人电话
            ) ,
            prpllinker row(
                linkerName          String , -- 联系人名称
                linkerPhoneNo       String   -- 联系人电话
            )
        )> ,
        prplpolicy String , -- 该字段可能是对象或数组
--         prplpolicy  array<row(
--             comCode         String , -- 承保机构代码
--             comName         String , -- 承保机构名称
--             riskCode        String , -- 险种代码
--             riskName        String , -- 险种名称
--             licenseNo       String , -- 车牌号
--             isSelected      String   -- 是否选择
--         )> ,
        prplcarlossdetail array<row(
            prplcar row(
                brandCode           String , -- 品牌
                carModelCode        String   -- 车型
            ) ,
            indemnityDutyRate       String , -- 车赔付比例
            prplrepairfactory array<row(
                repairFactoryName   String   --  修理厂名称
            )> ,
            prplcarcertain row(
                injurySiteCode      String   -- 受伤部位
            ) ,
            verifyLoss String -- 车核定损失金额
        )> ,
        prplcdamage row(
            prpldamageaddress row(
                longitude     String , -- 经度
                latitude      String   -- 纬度
            ) ,
            damageName      String , -- 出险原因
            damageCourse    String   -- 出险经过
        ) ,
        prplccheck row(
            checkDate       String  -- 查勘日期
        ) ,
        prplclaim array<row(
            claimDate   String , -- 出险时间
            sumclaim    String   -- 估损金额
        )> ,
        prplccompensate array<row(
            compensateVericDate     String , --  核赔日期
            sumThisPaid             String , --  总赔付金额
            sumDutyPaid             String   --  直接理赔费用总金额原币金额
        )> ,
        prplendcase array<row(
            closeCaseDate   String   --  结案时间
        )> ,
        prplcrecase array<row(
            recaseDate      String   --  案件重开时间
        )> ,
        prplcertify row(
            completeDate    String   -- 资料接收齐全时间
        ) ,
        damageName String   ,   -- 出险原因名称
        damageCode String    ,   -- 出险原因码值
        prplaccident row(
            damageTypeCode    String  , -- 事故分类代码
            damageTypeName    String  , -- 事故分类名称
            accidentDealType        String  ,  -- 处理方式代码
            accidentDealTypeName    String     -- 处理方式名称
        ) ,
        prplflag row(
            subCertiType        String ,   -- 责任认定书类型代码
            subCertiTypeName    String     -- 责任认定书类型名称
        ) ,
        prplproplossdetail array<row(  
            prplproploss  row(   
                paidRate    String   -- 财赔付比例
            ) ,
            verifyLoss String -- 财核定损失金额
        )> ,
        prplpersondetail array<row( 
            prplperson row(   
                originPaidRate  String   -- 人赔付比例
            ),
            PrpLHospital row(   
                crippleDegreeOne       String  , -- 伤残等级、伤残代码、伤残程度代码
                crippleDegreeOneName   String  , -- 伤残程度名称
                treatedType            String  , -- 伤亡人员医疗类型
                hospitalName           String    -- 医疗机构名称
            ) ,
            prplsdisabilityassess row(   -- miss
                nonlocalIdentFlag       String   -- 异地鉴定标志
            ),
            verifyLoss String -- 人核定损失金额
        )> ,
        prplcreplevy array<row(  
            prplreplevyclaim  row(   
                prplreplevyobject  array<row(   
                    subjectTypeCode  String , -- 被追偿方类型
                    subjectTypeName  String   -- 被追偿方名称
                )> 
            )
        )> 
    ),
    log_time   String         ,

    nodeCode   String         

}